#if !defined(__sys_ssioctl_h)
#define __sys_ssioctl_h

#if !defined(_NO_IDENTS) && defined(_HEAD_IDENTS)
# pragma ident "@(#)head:sys/ssioctl.h	1.11 91/12/31 {Apple version 3.0 90/11/29 11:37:56}"
#endif

/*
 * Copyright 1987, 1988, 1989 Apple Computer, Inc.
 * All Rights Reserved.
 *
 * THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF APPLE COMPUTER, INC.
 * The copyright notice above does not evidence any actual or
 * intended publication of such source code.
 */

/* Copyright 1984-85 AT&T */

#if defined(__MPW_C__)
# include "/:usr:include:sys:ioctl.h"
#else
# include <sys/ioctl.h>
#endif
/* ioctl for the Apple sony */
#define AL_EJECT	_IO('L', 0x22)		/* eject the sony diskette */

/* ioctl for the generic disk driver */

#define GD_ALTBLK	_IO('G', 0)	/* Activate alt blocking */
#define GD_MKBAD	_IO('G', 1)	/* Set a software bad block */
#define GD_GETMAP	_IOW('G', 2, struct abmi)	/* Get alt block map */
#define GD_SOFTERR	_IO('G', 3)	/* Return softerrs as hard */
#define GD_SPARE	_IO('G', 4)	/* Set a hardware bad block */
#define GD_SETPNAME	_IOW('G', 5, struct dpident)	/* Set name */
#define GD_GETPNAME	_IOR('G', 6, struct dpident)	/* Return name */
#define GD_UNSETPNAME	_IO('G', 7)	/* Remove any name */
#define GD_GBZBTMADE	_IO('G', 8)	/* Return time made */
#define GD_SBZBTMADE	_IO('G', 9)	/* Set time made */
#define GD_GBZBTMOUNT	_IO('G', 10)	/* Return last time mounted */
#define GD_SBZBTMOUNT	_IO('G', 11)	/* Set last time mounted */
#define GD_GBZBTUMOUNT	_IO('G', 12)	/* Get last time unmounted */
#define GD_SBZBTUMOUNT	_IO('G', 13)	/* Set last time unmounted */
#define GD_SHUTDOWN	_IO('G', 14)	/* Shutdown ioctl */
#define		GD_SHUT_SHIP	1	/* Shutdown and ready for shipping */
#define		GD_SHUT_CLOSE	2	/* Internal informational */
#define		GD_SHUT_REINIT	3	/* Re initialize the driver */
#define		GD_SHUT_EJECT 	4	/* Shutdown and eject (cdrom) */
#define	GD_GETABM	_IOR('G', 15, struct abm) /* Get alt block map data */
#define	GD_PARTSIZE	_IO('G', 16)	/* Return size of partition */
#define	GD_TRACE   	_IOW('G', 17,int)	/* Set scsi bus trace on/off */
#define	GD_TRACEPR  	_IOW('G', 18,int) /* Set scsi trace print on/off */
#define	GD_DRIVEINFO 	_IOR('G', 19,struct driveinfo)	/* get drive info */
#define	GD_DRIVEINQUIRY	_IOR('G', 20, struct scsiinquiry) /* SCSI inquiry cmd */
#define	GD_MEDIAREMOVAL	_IO('G', 21) /* do allow/prevent removal for cd */
#define		GD_ALLOW_REMOVAL	0	/* allow medium removal */
#define		GD_PREV_REMOVAL		0x01	/* prevent medium removal */
#define	GD_GETPARTFLAGS	_IO('G', 22) /* return the part entry (gdisk) flags */

#endif /* __sys_ssioctl_h */
